### Method

# Ide Application find_workbench_for_file

#### Declaration

    IdeWorkbench*
    ide_application_find_workbench_for_file (
      IdeApplication* self,
      GFile* file
    )

#### Description

Looks for the workbench that is the closest match to `file`.

If no workbench is the root of `file`, then `NULL` is returned.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeWorkbench`
| An `IdeWorkbench` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.